import request from '@/utils/request'

// 获取个人信息
export function getUserInfo(params) {
  return request({
    url: '/admin/user/detail',
    method: 'get',
    params
  })
}

// 修改密码
export function changePassword(params) {
  return request({
    url: '/admin/user/password/update',
    method: 'post',
    params
  })
}

// 获取账户列表
export function getAccountList(params) {
  return request({
    url: '/admin/user/list',
    method: 'get',
    params
  })
}

// 获取角色列表
export function getRoleList(params) {
  return request({
    url: '/admin/role/list',
    method: 'get',
    params
  })
}

// 重置密码
export function resetPassword(params) {
  return request({
    url: '/admin/user/password/reset',
    method: 'post',
    params
  })
}

// 更改账户状态
export function changeAccountStatus(params) {
  return request({
    url: '/admin/user/status/update',
    method: 'post',
    params
  })
}

// 新增账户
export function addAccount(params) {
  return request({
    url: '/admin/user/add',
    method: 'post',
    data: params
  })
}

// 编辑账户
export function editAccount(params) {
  return request({
    url: '/admin/user/user/update',
    method: 'post',
    data: params
  })
}

// 获取字段列表
export function getFieldList(params) {
  return request({
    url: '/sys/dict/list/page',
    method: 'get',
    params
  })
}

// 更改字段状态
export function changeFieldStatus(params) {
  return request({
    url: '/sys/dict/status/update',
    method: 'post',
    params
  })
}

// 删除字段
export function deleteField(params) {
  return request({
    url: '/sys/dict/delete',
    method: 'post',
    params
  })
}

// 新增字段
export function addField(params) {
  return request({
    url: '/sys/dict/add',
    method: 'post',
    params
  })
}

// 编辑字段
export function editField(params) {
  return request({
    url: '/sys/dict/update',
    method: 'post',
    params
  })
}

// 获取字段详情
export function getFieldDetail(params) {
  return request({
    url: '/sys/dict/detail',
    method: 'get',
    params
  })
}

// 获取操作日志列表
export function getOplogList(params) {
  return request({
    url: '/admin/operation/log/list',
    method: 'get',
    params
  })
}

// 获取操作日志模块列表
export function getModuleList(params) {
  return request({
    url: '/admin/operation/log/module',
    method: 'get',
    params
  })
}

// 获取轮播图列表
export function getBannerList(params) {
  return request({
    url: '/carouselMap/list/page',
    method: 'get',
    params
  })
}

// 更改轮播图状态
export function changeBannerStatus(params) {
  return request({
    url: '/carouselMap/state/update',
    method: 'post',
    params
  })
}

// 删除轮播图
export function deleteBanner(params) {
  return request({
    url: '/carouselMap/delete',
    method: 'post',
    params
  })
}

// 新增轮播图
export function addBanner(params) {
  return request({
    url: '/carouselMap/add',
    method: 'post',
    data: params
  })
}

// 编辑轮播图
export function editBanner(params) {
  return request({
    url: '/carouselMap/update',
    method: 'post',
    data: params
  })
}

// 获取轮播图详情
export function getBannerDetail(params) {
  return request({
    url: '/carouselMap/detail',
    method: 'get',
    params
  })
}

// 新增角色
export function addRole(params) {
  return request({
    url: '/admin/role/add',
    method: 'post',
    data: params
  })
}

// 编辑角色
export function editRole(params) {
  return request({
    url: '/admin/role/update',
    method: 'post',
    data: params
  })
}

// 删除角色
export function deleteRole(params) {
  return request({
    url: '/admin/role/delete',
    method: 'post',
    params
  })
}


// 获取角色详情
export function getRoleDetail(params) {
  return request({
    url: '/admin/role/detail',
    method: 'get',
    params
  })
}

// 获取权限列表
export function getMenuRoleList(params) {
  return request({
    url: '/admin/user/module/all',
    method: 'get',
    params
  })
}

// 获取已选权限数组
export function getMenuRoleIds(params) {
  return request({
    url: '/admin/user/module/id/checked',
    method: 'get',
    params
  })
}

// 提交设置权限
export function setMenuRole(params) {
  return request({
    url: '/admin/user/module/grant',
    method: 'post',
    params
  })
}

// 获取商品列表
export function getGoodsList(params) {
  return request({
    url: '/carouselMap/list/goods',
    method: 'get',
    params
  })
}

// 批量删除轮播图
export function batchDeleteBanner(params) {
  return request({
    url: '/carouselMap/batch/delete',
    method: 'post',
    data: params
  })
}

// 获取通告
export function getNotice(params) {
  return request({
    url: '/notice/mini/select',
    method: 'get',
    params
  })
}

// 新增通告
export function addNotice(params) {
  return request({
    url: '/notice/mini/add',
    method: 'post',
    data: params
  })
}

// 编辑通告
export function editNotice(params) {
  return request({
    url: '/notice/mini/update',
    method: 'post',
    data: params
  })
}

// 获取部门列表
export function getDepartmentList(params) {
  return request({
    url: '/admin/websit/tree',
    method: 'get',
    params
  })
}

// 获取菜单列表
export function getMenuList(params) {
  return request({
    url: '/admin/user/module/list',
    method: 'get',
    params
  })
}

// 添加菜单
export function addMenu(params) {
  return request({
    url: '/admin/module/add',
    method: 'post',
    data: params
  })
}

// 编辑菜单
export function editMenu(params) {
  return request({
    url: '/admin/module/update',
    method: 'post',
    data: params
  })
}

// 删除菜单
export function deleteMenu(params) {
  return request({
    url: '/admin/module/delete',
    method: 'post',
    params
  })
}

// 获取菜单详情
export function getMenuDetail(params) {
  return request({
    url: '/admin/module/detail',
    method: 'get',
    params
  })
}

// 获取商户列表
export function getMerchantList(params) {
  return request({
    url: '/admin/user/mch/list',
    method: 'get',
    params
  })
}

// 获取用户协议
export function getAgreement(params) {
  return request({
    url: '/admin/company/other/getOne',
    method: 'get',
    params
  })
}

// 更新用户协议
export function editAgreement(params) {
  return request({
    url: '/admin/company/other/update',
    method: 'post',
    data: params
  })
}